import os
import bpy


bl_info = {
    "name": "B3D Links",
    "description": "Free 3D Models and Textures directly from manufacturers",
    "author": "B3D Team",
    "version": (1, 0, 0),
    "blender": (3, 0, 0),
    "location": "View 3D > Properties",
    "wiki_url": "https://www.facebook.com/groups/blenderworld/",
    "tracker_url": "",
    "support": "COMMUNITY",
    "category": "Add Mesh"
}


### MAIN PANEL START ###

class MainPanel:
    bl_space_type = "VIEW_3D"
    bl_region_type = "UI"
    bl_category = "B3D Links"

class DescriptionPanel(MainPanel, bpy.types.Panel):
    bl_idname = "MainPanel"
    bl_label = "B3D Links"

    def draw(self, context):
        layout = self.layout
        pcoll = preview_collections["main"]
        my_icon = pcoll["my_icon"] 
        layout.label(text="Links to Free 3D Models and Textures", icon_value=my_icon.icon_id)

preview_collections = {}    

### MAIN PANEL END ###


### 3D MODELS PANEL END ##################################################################

class Models3D_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "MainPanel"
    bl_label = "3D Models"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        ### layout.label(text="")
        

### BATHROOM AND KITCHEN PANEL ###

class BathroomKitchen_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Bathroom & Kitchen"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='IDEAL STANDARD').url='https://www.idealstandard.co.uk/' 
        row.operator('wm.url_open', text='MIELE').url='https://www.miele.co.uk/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='HANSGROHE').url='https://www.hansgrohe.com/'
        row.operator('wm.url_open', text='GROHE').url='https://www.grohe.us/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='CATALANO').url='https://www.catalano.it/'
        row.operator('wm.url_open', text='KOHLER').url='https://www.us.kohler.com/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ANTONIO LUPI').url='https://www.antoniolupi.it/en/products'
        row.operator('wm.url_open', text='FALPER').url='https://falper.it/en/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='HOTBATH').url='https://hotbath.it/en/home'
        row.operator('wm.url_open', text='SCARABEO').url='https://www.scarabeoceramica.com/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='CIELO').url='https://www.ceramicacielo.it/en'
        row.operator('wm.url_open', text='CERAMICA FLAMINIA').url='https://www.ceramicaflaminia.it/en/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='LAUFEN').url='https://www.laufen.com/'
        row.operator('wm.url_open', text='RAVAK').url='http://www.aec-data.com/en/download/ravak/000-18'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='NOVASERVISS').url='http://www.aec-data.com/en/download/novaservis/000-38'
        row.operator('wm.url_open', text='RIHO').url='http://www.aec-data.com/en/download/riho/000-45'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ROTH').url='http://www.aec-data.com/en/download/roth/000-25'
        row.operator('wm.url_open', text='JIKA').url='http://www.aec-data.com/en/download/jika/000-40'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='EDEN').url='http://www.aec-data.com/en/download/eden-cz/000-67'
        row.operator('wm.url_open', text='KALDEWEI').url='http://www.aec-data.com/en/download/kaldewei/000-17'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='KRAJCAR').url='http://www.aec-data.com/en/download/krajcar/000-76'
        row.operator('wm.url_open', text='SANSWISS').url='http://www.aec-data.com/en/download/sanswiss/000-94'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ROCA').url='https://www.roca.com/professional-area/resources/bim'
        row.operator('wm.url_open', text='ALCAPLAST').url='http://www.aec-data.com/en/download/alcaplast/000-66'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='GEBERIT').url='http://www.aec-data.com/en/download/geberit/000-19'
        row.operator('wm.url_open', text='HUEPPE').url='http://www.aec-data.com/en/download/hueppe/000-62'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ARTCERAM').url='http://www.aec-data.com/en/download/artceram/000-95'
        row.operator('wm.url_open', text='ORAS').url='http://www.aec-data.com/en/download/oras/000-39'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='POLYSYSTEM').url='http://www.aec-data.com/en/download/polysystem/000-75'
        row.operator('wm.url_open', text='SANITEC').url='http://www.aec-data.com/en/download/sanitec/000-63-pg5' 
        row = layout.row(align=True)
        row.operator('wm.url_open', text='SANJET').url='http://www.aec-data.com/en/download/sanjet/000-49'
        row.operator('wm.url_open', text='VAGNERPLAST').url='http://www.aec-data.com/en/download/vagnerplast/000-60' 
        
        
        

### BLINDS ###

class Blinds_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Blinds"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='GATO').url='http://www.aec-data.com/en/download/gato/000-80' 
        row.operator('wm.url_open', text='...').url='' 
       


### CARS AND TRANSPORT PANEL ###

class CarsTransport_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Cars and Transport"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='CARS').url='https://www.b3dassets.com/2021/05/29/cars-3d-model-library/'
        row.operator('wm.url_open', text='MOTORCYCLES').url='https://www.b3dassets.com/2022/09/03/blender-motorcycle-3d-model-library/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='VOLVO S90').url='https://www.turbosquid.com/3d-models/volvo-s90-2017-3d-model-1822207'
        row.operator('wm.url_open', text='MERCEDES BENZ CLA45 AMG').url='https://www.cgtrader.com/free-3d-models/car/sport-car/3d-car-mercedes-benz-cla45-amg-2017'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='DUESEN BAYERN MYSTAR 190 SL').url='https://www.turbosquid.com/3d-models/free-duesen-bayern-mystar-190-3d-model/1062796'
        row.operator('wm.url_open', text='MERCEDES AMG GTS – V8 BITURBO').url='https://www.cgtrader.com/free-3d-models/car/luxury-car/mercedes-amg-gts-v8-biturbo'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='MERCEDES BENZ S CLASS AMG S63').url='https://www.cgtrader.com/free-3d-models/car/luxury-car/mercedes-benz-s-class-amg-s63-model'
        row.operator('wm.url_open', text='AUDI A7 SPORTSBACK').url='https://www.turbosquid.com/3d-models/3d-exterior-rendered-wheels-1302360'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='TESLA MODEL S').url='https://www.cgtrader.com/free-3d-models/car/luxury-car/tesla-model-s-3d-model-high-quality-interior-3d-model'
        row.operator('wm.url_open', text='...').url='' 


### CARPETS AND RUGS 3D ###

class CarpetsRugs3D_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Carpets and Rugs"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout      
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='CARPETS AND RUGS').url='https://www.b3dassets.com/2021/05/29/carpets-3d-model-library/'
        row.operator('wm.url_open', text='...').url=''  



### DECORS AND ORNAMETS ###

class DecorsOrnamets_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Decors and Ornaments"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ORAC DECOR').url='https://www.oracdecor.com/en/download-technical-drawings'
        row.operator('wm.url_open', text='CEILING CASSETES').url='https://www.b3dassets.com/2021/05/29/ceiling-ornaments-3d-model-library-orac-decor/'


### DOORS ###

class Doors_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Doors"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='PORTA DOORS').url='https://www.portadoors.com/'
        row.operator('wm.url_open', text='GLAS').url='https://glasitalia.com/en'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='FIT').url='https://www.b3dassets.com/doors-3d-model-library-porta-doors-fit/'
        row.operator('wm.url_open', text='CORDOBA').url='https://www.b3dassets.com/doors-3d-model-library-porta-doors-cordoba/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='VILLADORA RETRO').url='https://www.b3dassets.com/doors-3d-model-library-porta-doors-villadora-retro/'
        row.operator('wm.url_open', text='SOLO DOOR').url='http://www.aec-data.com/en/download/solodoor/000-102'



### DRINKS ###

class Drinks_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Drinks"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ALCOHOL BOTTLES').url='https://www.b3dassets.com/alcohol-bottles-3d-model-library/'
        row.operator('wm.url_open', text='COCA COLA').url='https://www.b3dassets.com/2021/05/30/coca-cola-cans-3d-model-library/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='RED BULL').url='https://www.b3dassets.com/2021/11/13/red-bull-cans-3d-model-library/'
        row.operator('wm.url_open', text='...').url=''


### ELECTRONICS ###

class Electronics_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Electronics"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='SAMSUNG TV').url='https://www.b3dassets.com/samsung-tv-3d-model-library/'
        row.operator('wm.url_open', text='...').url=''

### FIREPLACES ###

class Fireplaces_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Fireplaces"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='RIVELIN').url='https://rivelin.co/'
        row.operator('wm.url_open', text='REHULKA').url='http://www.aec-data.com/en/download/rehulka/000-22'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ROMOTOP').url='http://www.aec-data.com/en/download/romotop/000-41'
        row.operator('wm.url_open', text='BURNET').url='http://www.aec-data.com/en/download/burnet/000-12'
        


### FLAGS ###

class Flags_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Flags"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='EUROPE').url='https://www.b3dassets.com/flags-of-europe-3d-model-library/'
        row.operator('wm.url_open', text='NORTH AMERICA').url='https://www.b3dassets.com/flags-of-north-america-3d-model-library/'


### FLOORING ###

class Flooring3D_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Flooring"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='KRONOSPAN').url='https://www.b3dassets.com/2022/07/31/159-flooring-types-for-blender/'
        row.operator('wm.url_open', text='STANDARD TYPES').url='https://www.b3dassets.com/2021/05/31/flooring-3d-model-library-standard-types/'

        
### FURNITURE ###

class Furniture_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Furniture"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='FRITZ HANSEN').url='https://downloads.fritzhansen.com/asset-bank/action/browseItems?categoryId=2650&categoryTypeId=1'
        row.operator('wm.url_open', text='MINOTTI').url='https://www.minotti.com/en'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='BO CONCEPT').url='http://pcon-catalog.com/boconcept/'
        row.operator('wm.url_open', text='UMBROSA').url='https://www.umbrosa.be/en/parasol-collection'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='B&B ITALIA').url='https://www.bebitalia.com/en-us/'
        row.operator('wm.url_open', text='CALLIGARIS').url='https://www.calligaris.com/GB/en'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='BONALDO').url='https://bonaldo.com/en/products?pp=1'
        row.operator('wm.url_open', text='BAXTER').url='https://www.baxter.it/en/product'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='DRIADE').url='https://www.driade.com/en/'
        row.operator('wm.url_open', text='CARL HANSEN & SØN').url='https://www.carlhansen.com/en/collection'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='CECCOTTI COLLEZIONI').url='https://www.ceccotticollezioni.it/en/products/'
        row.operator('wm.url_open', text='EMU').url='https://www.emu.it/en/all-products/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='FLEXFORM').url='https://www.flexform.it/en'
        row.operator('wm.url_open', text='FLOU').url='https://www.flou.it/en/3dlibrary/letti'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='HORM').url='https://www.horm.it/en/design/home-decor/'
        row.operator('wm.url_open', text='KRISTALIA').url='https://www.kristalia.it/en/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='LAGO').url='https://www.lago.it/en/lago4architects-homepage/'
        row.operator('wm.url_open', text='ZANOTTA').url='https://www.zanotta.it/en-us'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='SICIS').url='https://www.sicis.com/LV/en/furniture-and-accessories'
        row.operator('wm.url_open', text='SABA').url='https://sabaitalia.com/en/products'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='CASAMANIA').url='https://www.casamania.it/design/arredi-per-abitazioni-ristoranti-hotel-luoghi-di-lavoro-e-aree-comuni/'
        row.operator('wm.url_open', text='MISURA EMME').url='https://www.misuraemme.it/en/products'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='POLTRONA FRAU').url='https://www.poltronafrau.com/en'
        row.operator('wm.url_open', text='TURRI').url='https://turri.it/en/products/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='MOLTENI & C | DADA').url='https://www.molteni.it/en/highlights'
        row.operator('wm.url_open', text='ALBERTA').url='https://www.alberta.it/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ENRICO PELLIZZONI').url='https://www.enricopellizzoni.com/'
        row.operator('wm.url_open', text='FRIGERIO').url='https://www.frigeriosalotti.it/en'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='GLAS').url='https://glasitalia.com/en'
        row.operator('wm.url_open', text='MERIDIANI').url='https://meridiani.it/en'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='NOVAMOBILI').url='https://www.novamobili.it/en'
        row.operator('wm.url_open', text='PORADA').url='https://www.porada.it/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='VARASCHIN').url='https://varaschin.it/en/products/'
        row.operator('wm.url_open', text='BOLZAN').url='https://www.bolzan.com/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ANDREU WORLD').url='https://andreuworld.com/en/'
        row.operator('wm.url_open', text='CASSINA').url='https://www.cassina.com/gb/en.html'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='CLASSICON').url='https://www.classicon.com/en/homepage.html'
        row.operator('wm.url_open', text='HERMAN MILLER').url='https://www.hermanmiller.com/en_eur/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='COSYWOOD').url='https://www.b3dassets.com/massive-wood-tables-3d-model-library-cosywood/'
        row.operator('wm.url_open', text='PARK BENCHES').url='https://www.b3dassets.com/park-benches-3d-model-library/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='CHESTERFIELD').url='https://www.b3dassets.com/chesterfield-sofas-3d-model-library/'
        row.operator('wm.url_open', text='FREDERICIA').url='https://www.fredericia.com/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='WOODNOTES').url='https://www.woodnotes.fi/'
        row.operator('wm.url_open', text='HOBIS').url='http://www.aec-data.com/en/download/hobis/000-91'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='PROWORK').url='http://www.aec-data.com/en/download/prowork/000-98'
        row.operator('wm.url_open', text='EXNER').url='http://www.aec-data.com/en/download/exner/000-26'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='OFFICE PRO').url='http://www.aec-data.com/en/download/office-pro/000-43'
        row.operator('wm.url_open', text='ANTARES').url='http://www.aec-data.com/en/download/antares/000-7'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='INTERIER RICANY').url='http://www.aec-data.com/en/download/interier-ricany/000-11'
        row.operator('wm.url_open', text='NOVATRONIC').url='http://www.aec-data.com/en/download/novatronic/000-78' 
        row = layout.row(align=True)
        row.operator('wm.url_open', text='INTEBO JOSEF SEBEK').url='http://www.aec-data.com/en/download/intebo-josef-sebek/000-79' 
        row.operator('wm.url_open', text='BESTUHL').url='http://www.aec-data.com/en/download/bestuhl/000-97'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='CASSINA').url='https://www.cassina.com/ww/en.html'
        row.operator('wm.url_open', text='...').url='' 
        
        

### HAND DRYERS ###

class HandDryers_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Hand Dryers"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout      
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='JET').url='https://www.b3dassets.com/hand-dryers-3d-model-library-jet/'
        row.operator('wm.url_open', text='...').url='' 

        

### JEWERLY ###

class Jewerly_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Jewerly"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='DIAMONDS').url='https://www.b3dassets.com/2021/12/07/diamond-3d-model-library/'
        row.operator('wm.url_open', text='...').url='' 


### LIGHTING ###

class Lighting_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Lighting"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ZERO').url='https://www.zerolighting.com/'
        row.operator('wm.url_open', text='INTRA LIGHTING').url='https://www.intra-lighting.com/All-models'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='VIBIA').url='https://www.vibia.com/en/int/collections'
        row.operator('wm.url_open', text='LODES').url='https://www.lodes.com/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='CARL HANSEN & SØN').url='https://www.carlhansen.com/en/collection'
        row.operator('wm.url_open', text='FOSCARINI').url='https://www.foscarini.com/en/products/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='LUCE PLAN').url='https://www.luceplan.com/products'
        row.operator('wm.url_open', text='POLTRONA FRAU').url='https://www.poltronafrau.com/en'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='P.U.K.').url='https://puk.it/outdoor-lighting/'
        row.operator('wm.url_open', text='FLOS').url='https://professional.flos.com/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ARTEMIDE').url='https://www.artemide.com/en'
        row.operator('wm.url_open', text='REGGIANI').url='https://www.reggiani.net/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='MODO LUCE').url='https://www.modoluce.com/en/collections/'
        row.operator('wm.url_open', text='OLUCE').url='https://www.oluce.com/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='FABBIAN').url='https://www.fabbian.com/en'
        row.operator('wm.url_open', text='CONTARDI').url='https://contardi-italia.com/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='CLASSICON').url='https://www.classicon.com/en/homepage.html'
        row.operator('wm.url_open', text='DCW EDITION').url='https://dcw-editions.fr/en'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='DELTA LIGHT').url='https://www.deltalight.com/en'
        row.operator('wm.url_open', text='RANDOM LAMPS').url='https://www.b3dassets.com/lamps-3d-model-library-random/'


### MUSIC INSTRUMENTS ###

class MusicInstruments_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Music Instruments"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ACOUSTIC GUITARS').url='https://www.b3dassets.com/2021/05/24/acoustic-guitar-3d-model-library/'
        row.operator('wm.url_open', text='...').url=''


### PLANTS ###

class Plants_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Plants"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='GARDEN').url='https://www.b3dassets.com/garden-plants-3d-model-library/'
        row.operator('wm.url_open', text='INTERIOR').url='https://www.b3dassets.com/interior-plants-3d-model-library/'


### SUN SHADES AND PARGOLAS ###

class SunShadesPergolas_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Sun Shades and Pergolas"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='UMBROSA').url='https://www.umbrosa.be/en'
        row.operator('wm.url_open', text='...').url=''


### TOWEL DRYERS ###

class TowelDryers_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Towel Dryers"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ISAN').url='http://www.aec-data.com/en/download/isan/000-68'
        row.operator('wm.url_open', text='ZEHNDER').url='http://www.aec-data.com/en/download/zehnder/000-81'


### URBAN SITE ###

class UrbanSite_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Urban Site"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='BARRIERS').url='https://www.b3dassets.com/2021/05/29/barriers-3d-model-library/'
        row.operator('wm.url_open', text='URNS AND BINS').url='https://www.b3dassets.com/urns-and-bins-3d-model-library/'


### WINDOWS ###

class Windows_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Models3D_panel"
    bl_label = "Windows"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='PVC').url='https://www.b3dassets.com/pvc-windows-3d-model-library/'
        row.operator('wm.url_open', text='...').url=''
        
        


### 3D MODELS PANEL END ##################################################################



### TEXTURES PANEL START ##################################################################

class Textures_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "MainPanel"
    bl_label = "Textures"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        ### layout.label(text="")


### ACOUSTIC PANELS ###        

class AcousticPanels_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Acoustic Panels"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='TEXDECOR').url='https://www.texdecor.com/en/gammes/acoustic-0.7/5'
        row.operator('wm.url_open', text='CBI EUROPE').url='https://www.cbi-europe.it/en/catalogo/controsoffitti+in+legno/1/1/index.aspx'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='HUNTER DOUGLAS').url='https://www.hunterdouglasarchitectural.eu/en-IE/walls/index.jsp'
        row.operator('wm.url_open', text='COSWICK').url='https://www.coswick.com/'


### BRICKS ###        

class Bricks_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Bricks"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='PETERSEN TEGL').url='https://en.petersen-tegl.dk/'
        row.operator('wm.url_open', text='PETERSEN TEGL Texture Generator').url='https://configurator.petersen-tegl.dk/index.html'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ABC KLINKERGRUPPE').url='https://abc-klinker.com/'
        row.operator('wm.url_open', text='THE BESPOKE BRICK').url='https://bespokebrick.com/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='RANDERS TEGL').url='https://www.randerstegl.com/en/wall-bricks'
        row.operator('wm.url_open', text='...').url=''
        


### CARPETS ###        

class Carpet_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Carpets"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='AVALON').url='https://www.avalonflooring.com/'
        row.operator('wm.url_open', text='INTERFACE').url='https://www.interface.com/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='CC TAPIS').url='https://www.cc-tapis.com/'
        row.operator('wm.url_open', text='WOODNOTES').url='https://www.woodnotes.fi/'


### CLOTH / FABRIC / TEXTILE / LEATHER ###     

class ClothFabricTextile_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Cloth | Fabric | Textile | Leather"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ABITEX').url='http://www.abitex.eu/en/products/prd.php'
        row.operator('wm.url_open', text='DEDAR').url='https://dedar.com/en/products'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='KOHRO').url='https://www.kohro.it/en/fabric-wallcoverings/'
        row.operator('wm.url_open', text='MP SPA (leather)').url='http://www.mp-spa.com/en/products.html'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ONE Mario Sirtori').url='https://www.onemariosirtori.com/fabricsproduction'
        row.operator('wm.url_open', text='PRIMA').url='https://primafabrics.it/shop/?lang=en'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='SICIS').url='https://www.sicis.com/LV/en/textiles'
        row.operator('wm.url_open', text='TEXFEL (felts)').url='http://www.texfel.com/texfel-interiors'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='BLISS').url='https://www.blissfabrics.es/albiscollection'
        row.operator('wm.url_open', text='SUNBRELLA').url='https://global.sunbrella.com/en-us/fabrics/recommended-uses?upholstery=1'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='RASCH').url='https://www.raschtextil.de/rasch_textil.php'
        row.operator('wm.url_open', text='BACKHOUSEN').url='https://www.backhausen.com/en/collections/collections.html'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='GABRIEL').url='https://www.gabriel.dk/en/fabrics/fabrics/'
        row.operator('wm.url_open', text='SPRADLING').url='https://www.spradling.eu/collections'

### FLOORNG FOR SPROTS ### 

class FlooringSports_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Flooring Sports"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='TARKET').url='https://www.tarkett.lv/'
        row.operator('wm.url_open', text='BOEN').url='https://boen.com/en/products/product-overview/?size=n_30_n'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='GRABOPLAST').url='https://www.graboplast.com/en/Products/Sports-flooring.html'
        row.operator('wm.url_open', text='RUBRIG').url='https://rubrig.com/lv/produkti/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='DYWILAN').url='https://www.wovengrass.eu/en/produkty-2/'
        row.operator('wm.url_open', text='BSW').url='https://www.berleburger.com/en/'


### FLOORNG VINYL ### 

class FlooringVinyl_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Flooring Vinyl"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='KRONOSPAN').url='https://lv.kronospan-express.com/en'
        row.operator('wm.url_open', text='BERRY ALLOC').url='https://www.berryalloc.com/global/en/laminate'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='TARKETT').url='https://www.tarkett.lv/'
        row.operator('wm.url_open', text='AVALON').url='https://www.avalonflooring.com/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='FORBO').url='https://www.forbo.com/flooring/lv-lv/materiali/dizaina-vinila-flizes/cb6vp5'
        row.operator('wm.url_open', text='DECORA').url='https://decora-flooring.com/products/urban-flooring/vinyl-urban/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='MILIKEN').url='https://floors.milliken.com/floors/en-us/products/luxury-vinyl-tiles'
        row.operator('wm.url_open', text='...').url=''



### FOILS ### 

class Foils_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Foils"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='KRONOSPAN').url='https://lv.kronospan-express.com/en'
        row.operator('wm.url_open', text='...').url=''


### HPL ### 

class HPL_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "HPL"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='KRONOSPAN').url='https://lv.kronospan-express.com/en'
        row.operator('wm.url_open', text='...').url=''


### LAMINATE ### 

class Laminate_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Laminate"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='KRONOSPAN').url='https://lv.kronospan-express.com/en'
        row.operator('wm.url_open', text='BERRY ALLOC').url='https://www.berryalloc.com/global/en/laminate'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='AVALON').url='https://www.avalonflooring.com/'
        row.operator('wm.url_open', text='EGGER').url='https://www.egger.com/'
        

### LHDF ### 

class LHDF_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "LHDF"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='KRONOSPAN').url='https://lv.kronospan-express.com/en'
        row.operator('wm.url_open', text='...').url=''


### MASSIVE WOOD PANELS AND SLABS ### 

class MassiveWoodPanel_Slabs_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Massive wood panels and slabs"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='KRONOSPAN').url='https://lv.kronospan-express.com/en'
        row.operator('wm.url_open', text='MASSIVE WOOD').url='https://www.b3dassets.com/2021/05/26/blender-massive-wood-material-library/'


### MDF BOARDS ### 

class MDFBoards_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "MDF Boards"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='KRONOSPAN').url='https://lv.kronospan-express.com/en'
        row.operator('wm.url_open', text='EGGER').url='https://www.egger.com/'


### PARQUET ### 

class Parquet_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Parquet and Natural Wood"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='COSWICK').url='https://www.coswick.com/'
        row.operator('wm.url_open', text='DESIGN PARQUET').url='https://www.designparquet.com/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='BOEN').url='https://boen.com/en/products/product-overview/?size=n_30_n'
        row.operator('wm.url_open', text='TARKETT').url='https://www.tarkett.lv/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='GRABO').url='https://www.graboplast.com/Products/Parquet.html'
        row.operator('wm.url_open', text='REINLEIN').url='https://www.reinlein-parkett.com/english/products/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='DINESEN').url='https://www.dinesen.com/en'
        row.operator('wm.url_open', text='ADMONTER').url='https://admonter.com/en/'


### RUGS ### 

class Rugs_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Rugs"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='AVALON').url='https://www.avalonflooring.com/'
        row.operator('wm.url_open', text='GAN').url='https://www.gan-rugs.com/en/'


### SLABS ### 

class Slabs_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Slabs"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ATLAS PLANS (porcelain)').url='https://www.atlasplan.com/'
        row.operator('wm.url_open', text='...').url=''


### SPLASHBACKS ### 

class Splashbacks_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Splashbacks"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='KRONOSPAN').url='https://lv.kronospan-express.com/en'
        row.operator('wm.url_open', text='EGGER').url='https://www.egger.com/'


### STUCCO ### 

class Stucco_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Stucco"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='SAN MARCO').url='https://en.san-marco.com/texture-libraries-for-bim-and-cad'
        row.operator('wm.url_open', text='...').url=''


### TILES ### 

class Tiles_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Tiles"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='EMILCERAMICA GROUP').url='https://www.emilgroup.com/emilceramica/'
        row.operator('wm.url_open', text='IMOLA CERAMICA').url='https://www.imolaceramica.com/en/collections'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='FAP CERAMICHE').url='https://www.fapceramiche.com/en/'
        row.operator('wm.url_open', text='GARDENIA ORCHIDEA').url='http://www.gardenia.it/en/collections/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='LASSELSBERGER GROUP (RAKO)').url='https://www.rako.cz/ru'
        row.operator('wm.url_open', text='REFIN CERAMICHE').url='https://www.refin-ceramic-tiles.com/#'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='CERAMIK PARADYZ').url='https://www.paradyz.com/en/catalog?news=news'
        row.operator('wm.url_open', text='NATUCER').url='https://www.natucer.es/en/producto'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='CEVICA').url='https://www.cevica.es/en/azulejos/'
        row.operator('wm.url_open', text='KERABEN GROUP').url='https://en.keraben.com/ver/21/collections.html'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='APPIANI').url='https://www.appianimosaic.com/'
        row.operator('wm.url_open', text='CLASSE MOSAICI').url='https://www.classemosaici.com/artistic-mosaic-collections'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='I CONCI').url='http://www.iconci.it/en/materiali-marmi-pietre/'
        row.operator('wm.url_open', text='AVALON').url='https://www.avalonflooring.com/products'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='APAVISA').url='https://apavisa.com/en'
        row.operator('wm.url_open', text='...').url=''


### WALLPAPERS ### 

class Wallpapers_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Wallpapers"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='TEXDECOR').url='https://www.texdecor.com/en/gammes/textile-acoustic-wallcovering/4/6'
        row.operator('wm.url_open', text='CASAMANCE').url='https://www.casamance.com/en/collections?type=8345,8300,8316'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='CASADECO').url='https://www.casadeco.com/en/collections/'
        row.operator('wm.url_open', text='CASELIO').url='https://www.caselio.com/en/collections/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='BORAS TAPETER').url='https://www.borastapeter.com/en/wallpapers'
        row.operator('wm.url_open', text='EIJFFINGER').url='https://www.eijffinger.com/en-LV/wallpaper'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='LONDON ART').url='https://www.londonart.it/en/exclusive-wallpaper'
        row.operator('wm.url_open', text='MARBURG').url='https://marburg.com/digital-books/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='RASCH').url='https://www.rasch-tapeten.de/en'
        row.operator('wm.url_open', text='KT EXCLUSIVE').url='https://www.kt-exclusive.com/en/gallery.html'


### WORKTOPS ### 

class Worktops_panel(MainPanel, bpy.types.Panel):
    bl_parent_id = "Textures_panel"
    bl_label = "Worktops"
    bl_options = {'DEFAULT_CLOSED'}

    def draw(self, context):
        layout = self.layout
        
        row = layout.row(align=True)
        row.operator('wm.url_open', text='KRONOSPAN').url='https://lv.kronospan-express.com/en'
        row.operator('wm.url_open', text='EGGER').url='https://www.egger.com/'
        row = layout.row(align=True)
        row.operator('wm.url_open', text='ARKLAM').url='https://arklam.es/en/collections/'
        row.operator('wm.url_open', text='...').url=''


### TEXTURES PANEL END ##################################################################



### bpy.utils.register_class(B3DLinks)
### bpy.utils.unregister_class(B3DLinks)

def register():
    import bpy.utils.previews
    pcoll = bpy.utils.previews.new()
    my_icons_dir = os.path.join(os.path.dirname(__file__), "icons")
    pcoll.load("my_icon", os.path.join(my_icons_dir, "icon-image.png"), 'IMAGE')
    preview_collections["main"] = pcoll

    bpy.utils.register_class(DescriptionPanel)
    
    ### REG. 3D MODELS ###
    bpy.utils.register_class(Models3D_panel)
    bpy.utils.register_class(BathroomKitchen_panel)
    bpy.utils.register_class(Blinds_panel)
    bpy.utils.register_class(CarsTransport_panel)
    bpy.utils.register_class(CarpetsRugs3D_panel)
    bpy.utils.register_class(DecorsOrnamets_panel)
    bpy.utils.register_class(Doors_panel)
    bpy.utils.register_class(Drinks_panel)
    bpy.utils.register_class(Electronics_panel)
    bpy.utils.register_class(Fireplaces_panel)
    bpy.utils.register_class(Flags_panel)
    bpy.utils.register_class(Flooring3D_panel)
    bpy.utils.register_class(Furniture_panel)
    bpy.utils.register_class(HandDryers_panel)
    bpy.utils.register_class(Jewerly_panel)
    bpy.utils.register_class(Lighting_panel)
    bpy.utils.register_class(MusicInstruments_panel)
    bpy.utils.register_class(Plants_panel)
    bpy.utils.register_class(SunShadesPergolas_panel)
    bpy.utils.register_class(TowelDryers_panel)
    bpy.utils.register_class(UrbanSite_panel)
    bpy.utils.register_class(Windows_panel)
    
                                                
    ### REG. TEXTURES ###
    bpy.utils.register_class(Textures_panel)
    bpy.utils.register_class(AcousticPanels_panel)
    bpy.utils.register_class(Bricks_panel)
    bpy.utils.register_class(Carpet_panel)
    bpy.utils.register_class(ClothFabricTextile_panel)
    bpy.utils.register_class(FlooringSports_panel)
    bpy.utils.register_class(FlooringVinyl_panel)
    bpy.utils.register_class(Foils_panel)
    bpy.utils.register_class(HPL_panel)
    bpy.utils.register_class(Laminate_panel)
    bpy.utils.register_class(LHDF_panel)
    bpy.utils.register_class(MassiveWoodPanel_Slabs_panel)
    bpy.utils.register_class(MDFBoards_panel)
    bpy.utils.register_class(Parquet_panel)
    bpy.utils.register_class(Rugs_panel)
    bpy.utils.register_class(Slabs_panel)
    bpy.utils.register_class(Splashbacks_panel)
    bpy.utils.register_class(Stucco_panel)
    bpy.utils.register_class(Tiles_panel)
    bpy.utils.register_class(Wallpapers_panel)
    bpy.utils.register_class(Worktops_panel)
    ### bpy.utils.register_class(B3DLinks)
    ### bpy.utils.register_class(B3DLinks)


def unregister():
    
    for pcoll in preview_collections.values():
        bpy.utils.previews.remove(pcoll)
    preview_collections.clear()
    
    bpy.utils.unregister_class(DescriptionPanel)
    
    ### UNREG. 3D MODELS ###
    bpy.utils.unregister_class(Models3D_panel)
    bpy.utils.unregister_class(BathroomKitchen_panel)
    bpy.utils.unregister_class(Blinds_panel)
    bpy.utils.unregister_class(CarsTransport_panel)
    bpy.utils.unregister_class(CarpetsRugs3D_panel)
    bpy.utils.unregister_class(DecorsOrnamets_panel)
    bpy.utils.unregister_class(Doors_panel)
    bpy.utils.unregister_class(Drinks_panel)
    bpy.utils.unregister_class(Electronics_panel)
    bpy.utils.unregister_class(Fireplaces_panel)
    bpy.utils.unregister_class(Flags_panel)
    bpy.utils.unregister_class(Flooring3D_panel)
    bpy.utils.unregister_class(Furniture_panel)
    bpy.utils.unregister_class(HandDryers_panel)
    bpy.utils.unregister_class(Jewerly_panel)
    bpy.utils.unregister_class(Lighting_panel)
    bpy.utils.unregister_class(MusicInstruments_panel)
    bpy.utils.unregister_class(Plants_panel)
    bpy.utils.unregister_class(SunShadesPergolas_panel)
    bpy.utils.unregister_class(TowelDryers_panel)
    bpy.utils.unregister_class(UrbanSite_panel)
    bpy.utils.unregister_class(Windows_panel)

    
    ### UNREG. TEXTURES ###
    bpy.utils.unregister_class(Textures_panel)
    bpy.utils.unregister_class(AcousticPanels_panel)
    bpy.utils.unregister_class(Bricks_panel)
    bpy.utils.unregister_class(Carpet_panel)
    bpy.utils.unregister_class(ClothFabricTextile_panel)
    bpy.utils.unregister_class(FlooringSports_panel)
    bpy.utils.unregister_class(FlooringVinyl_panel)
    bpy.utils.unregister_class(Foils_panel)
    bpy.utils.unregister_class(HPL_panel)
    bpy.utils.unregister_class(Laminate_panel)
    bpy.utils.unregister_class(LHDF_panel)
    bpy.utils.unregister_class(MassiveWoodPanel_Slabs_panel)
    bpy.utils.unregister_class(MDFBoards_panel)
    bpy.utils.unregister_class(Parquet_panel)
    bpy.utils.unregister_class(Rugs_panel)
    bpy.utils.unregister_class(Slabs_panel)
    bpy.utils.unregister_class(Splashbacks_panel)
    bpy.utils.unregister_class(Stucco_panel)
    bpy.utils.unregister_class(Tiles_panel)
    bpy.utils.unregister_class(Wallpapers_panel)
    bpy.utils.unregister_class(Worktops_panel)
    ### bpy.utils.unregister_class(B3DLinks)
    ### bpy.utils.unregister_class(B3DLinks)
    
    
    ### UNREG. BLENDER MATERIALS ###
    bpy.utils.unregister_class(BlenderMaterials_panel)
    bpy.utils.unregister_class(AutomotiveBM_panel)
    bpy.utils.unregister_class(BricksBM_panel)
    bpy.utils.unregister_class(ClothFabricTextileBM_panel)
    bpy.utils.unregister_class(ColorCatalogsBM_panel)
    bpy.utils.unregister_class(ExteriorBM_panel)
    bpy.utils.unregister_class(GlassBM_panel)
    bpy.utils.unregister_class(LightsBM_panel)
    bpy.utils.unregister_class(LiquidsBM_panel)
    bpy.utils.unregister_class(MetalsBM_panel)
    bpy.utils.unregister_class(StonesBM_panel)
    bpy.utils.unregister_class(WoodBM_panel)
    
    
    ### UNREG. SCANS ###
    bpy.utils.unregister_class(Scans_panel)  
 
    ### UNREG. HDRI MAPS ###
    bpy.utils.unregister_class(HDRI_panel)   
    
    ### UNREG. HADD-ONS ###
    bpy.utils.unregister_class(AddOns_panel)
    


if __name__ == "__main__":
    register()
